#ifndef __NACC_H
#define __NACC_H

#include <vdr/interface.h>
#include <vdr/plugin.h>

//#include "i18n.h"
#include "osd.h"
#include "config.h"
#include "manager.h"
#include "common.h"


///////////////////////////////////////////////////////////////////////////////


class PluginCC : cPlugin
{
public:
  PluginCC();
  virtual ~PluginCC();
  virtual const char* Version(void) { return VERSION; }
  virtual const char* Description(void) { return DESCRIPTION; }
  virtual const char* MainMenuEntry(void); 
  virtual const char* CommandLineHelp(void); 
  virtual cMenuSetupPage* SetupMenu(void); 
  virtual bool SetupParse(const char *Name, const char *Value); 
  virtual bool Start(void); 
  virtual cOsdObject* MainMenuAction(void);
  
  void StartFromSetup();
  
private:
  static const char* VERSION;
  static const char* DESCRIPTION;
  static const char* MAINMENUENTRY;

  CCManager* manager;  
};


///////////////////////////////////////////////////////////////////////////////


#endif //__NACC_H
